import * as seed from "@/seed";
const state = {
    isInitialized: false,
    cameras: [],
    brands: [],
    shapes: [],
    buildtypes: []
};
const getters = {
    cameras: (state) => state.cameras,
    camera: (state) => (id) => state.cameras.find((camera) => camera.id === id),
    activeCamera: (state) => state.cameras.find((camera) => camera.active),
    brands: (state) => state.brands,
    brand: (state) => (id) => state.brands.find((brand) => brand.schluessel === id),
    shapes: (state) => state.shapes,
    shape: (state) => (id) => state.shapes.find((shape) => shape.schluessel === id),
    buildtypes: (state) => state.buildtypes,
    buildtype: (state) => (id) => state.buildtypes.find((buildtype) => buildtype.schluessel === id),
    isInitialized: (state) => state.isInitialized,
};
const mutations = {
    setCameras(state, payload) {
        console.log("mutation.setCameras");
        const camerasDA = [];
        payload.map((camera) => {
            state.cameras.push({
                ...camera,
                edit: false,
                active: false
            });
        });
        console.log("STORE", state.cameras);
    },
    setCameraActiveState(state, payload) {
        state.cameras.map((camera) => camera.active = false);
        const objCamera = state.cameras.find((camera) => camera.id === payload.id);
        objCamera.active = payload.active;
    },
    setBrands(state, payload) {
        console.log("mutation.setBrands");
        state.brands = payload;
        console.log("STORE", state.brands);
    },
    setShapes(state, payload) {
        console.log("mutation.setShapes");
        state.shapes = payload;
        console.log("STORE", state.shapes);
    },
    setBuildtypes(state, payload) {
        console.log("mutation.setBuildtypes");
        state.buildtypes = payload;
        console.log("STORE", state.buildtypes);
    },
    setInitialized(state, payload) {
        state.isInitialized = payload;
    }
};
const actions = {
    fetchCameras(context) {
        context.commit("setCameras", seed.cameras);
    },
    fetchBrands(context) {
        context.commit("setBrands", seed.brands);
    },
    fetchBuildTypes(context) {
        context.commit("setBuildtypes", seed.buildtype);
    },
    fetchShape(context) {
        context.commit("setShapes", seed.shape);
    },
    setCameraActiveState(context, payload) {
        console.log("action.setCameraActiveState", payload);
        const cameraObj = state.cameras.find((camera) => camera.id === payload.cameraId);
        context.commit("setCameraActiveState", { id: payload.cameraId, active: payload.active });
    },
    initialize(context) {
        context.dispatch("fetchCameras");
        context.dispatch("fetchBrands");
        context.dispatch("fetchBuildTypes");
        context.dispatch("fetchShape");
        context.commit("setInitialized", true);
    }
};
const modules = {};
const cameraModule = {
    state,
    getters,
    mutations,
    actions,
    modules
};
export default cameraModule;
//# sourceMappingURL=index.js.map